Subject: mites and ticks

From: [email-masked] (Robert Inget)
Date: Thu, 4 May 1995 21:25:56

about 500,000 species of ticks and mites make up the subclass Acarina of the 
artropod class Arachnida (spyder) Remember Arachniphopia? The mite I fear is 
Verroa because it kills my bees. If you want live bees, kill the little 
spiders.
Love, [email-masked]  better E.Mail address